wxStopWatch Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxStopWatch Class Reference
Class List by Category » Miscellaneous

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/stopwatch.h>`

## Detailed Description

The wxStopWatch class allow you to measure time intervals.

For example, you may use it to measure the time elapsed by some function:

wxStopWatch sw;
CallLongRunningFunction();
wxLogMessage("The long running function took %ldms to execute",
sw.Time());
sw.Pause();
... stopwatch is stopped now ...
sw.Resume();
CallLongRunningFunction();
wxLogMessage("And calling it twice took %ldms in all", sw.Time());
wxStopWatch::wxStopWatch
wxStopWatch()
Constructor.
wxStopWatch::Pause
void Pause()
Pauses the stop watch.
wxStopWatch::Time
long Time() const
Returns the time in milliseconds since the start (or restart) or the last call of Pause().
wxLogMessage
void wxLogMessage(const char *formatString,...)
For all normal, informational messages.

Since wxWidgets 2.9.3 this class uses `QueryPerformanceCounter()` function under MSW to measure the elapsed time. It provides higher precision than the usual timer functions but can suffer from bugs in its implementation in some Windows XP versions. If you encounter such problems, installing a Microsoft hot fix from http://support.microsoft.com/?id=896256 could be necessary.

##

Library: wxBase
Category: Miscellaneous

See also
  wxTimer

## Public Member Functions
| wxStopWatch ()
| Constructor.
void | Pause ()
| Pauses the stop watch.
void | Resume ()
| Resumes the stop watch which had been paused with Pause().
void | Start (long milliseconds=0)
| (Re)starts the stop watch with a given initial value.
long | Time () const
| Returns the time in milliseconds since the start (or restart) or the last call of Pause().
wxLongLong | TimeInMicro () const
| Returns elapsed time in microseconds.

## Constructor & Destructor Documentation

## ◆ wxStopWatch()

wxStopWatch::wxStopWatch | ( |  | ) |

Constructor.

This starts the stop watch.

## Member Function Documentation

## ◆ Pause()

void wxStopWatch::Pause | ( |  | ) |

Pauses the stop watch.

Call Resume() to resume time measuring again.

If this method is called several times, `Resume()` must be called the same number of times to really resume the stop watch. You may, however, call Start() to resume it unconditionally.

## ◆ Resume()

void wxStopWatch::Resume | ( |  | ) |

Resumes the stop watch which had been paused with Pause().

## ◆ Start()

void wxStopWatch::Start | ( | long | milliseconds = 0 | ) |

(Re)starts the stop watch with a given initial value.

The stopwatch will always be running after calling Start(), even if Pause() had been called before and even if it had been called multiple times.

## ◆ Time()

long wxStopWatch::Time | ( |  | ) | const

Returns the time in milliseconds since the start (or restart) or the last call of Pause().

See also
  TimeInMicro()

## ◆ TimeInMicro()

wxLongLong wxStopWatch::TimeInMicro | ( |  | ) | const

Returns elapsed time in microseconds.

This method is similar to Time() but returns the elapsed time in microseconds and not milliseconds. Notice that not all platforms really can measure times with this precision.

Since
  2.9.3